%define oname	sk1libs

%define release		%mkrel 1
%define distname	%oname-%version.tar.gz
%define dirname		%oname-%version

Name:		sk1libs
Summary:	Set of Python Non-GUI Extensions for sK1 Project
Version:	0.9.1
Release:	%{release}
Source0:	http://sk1project.org/downloads/%{oname}/%{distname}
# Fix / kludge for Tcl 8.6 (good old interp->result) - AdamW 2008/12
Patch0:		sk1libs-math-fix.diff
Group:		Graphics
BuildRequires:	freetype2-devel
BuildRequires:	lcms-devel
BuildRequires:	jpeg-devel
BuildRequires:	python-devel
BuildRequires:	zlib-devel
License:	GPLv2+ and LGPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	python-imaging
Requires:	python-lcms
Provides:	sk1libs = %version
URL:		http://sk1project.org/

%description
sk1libs is a set of python non-GUI extensions for sK1 Project. The package
includes multiplatform non-GUI extensions which are usually native extensions.

%prep
%setup -q -n %{dirname}
%patch0 -p1 -b .mfix
sed -i -e 's,tcl8.5,tcl%{tcl_version},g' setup.py
sed -i -e 's,tk8.5,tk%{tcl_version},g' setup.py

%build
%{__python} ./setup.py build

%install
rm -fr %{buildroot}
%{__python} setup.py install --root=%{buildroot} --compile --optimize=2


%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%{py_platsitedir}/%{name}
%{py_platsitedir}/%{oname}-%{version}-py%{pyver}.egg-info


%changelog
* Sun Jan 08 2012 Herbert Poetzl <herbert@13thfloor.at> 0.9.1
- initial release


